## python-pycurl 7.15.5-1osso3

=== debian/changelog ===
python-pycurl (7.15.5-1osso3) unstable; urgency=low

  * remove from Application Manager programs list

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 16 Jan 2008 15:00:22 -0300

python-pycurl (7.15.5-1osso2) unstable; urgency=low

  * fix copyright file and put under /doc

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue,  6 Nov 2007 18:11:00 -0300
