=== debian/control ===
Source: python-pycurl
Priority: optional
Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
Build-Depends: debhelper (>= 4.0.0), python2.5-dev (>= 2.5.1-1osso5), libcurl3-dev (>= 7.15.5-1osso1)
Standards-Version: 3.6.1

Package: python2.5-pycurl
Architecture: any
Depends: python2.5 (>= 2.5.1-1osso5), libcurl3 (>= 7.15.5-1osso1), ${shlibs:Depends}
Description: Python bindings for libcurl.

Package: python2.5-pycurl-dev
Architecture: any
Depends: python2.5 (>= 2.5.1-1osso5), ${shlibs:Depends}
Description: Examples and docs for pycurl.
